Subject: Re: [git-svn PATCH] Add --no-rebase option to git-svn dcommit

From: Seth Falcon <[email-masked]>
Date: Thu, 03 May 2007 08:53:30 -0700

David Kågedal <[email-masked]> writes:

> Karl Hasselström <[email-masked]> writes:
>
>> git-svn dcommit exports commits to Subversion, then imports them back
>> to git again, and last but not least rebases or resets HEAD to the
>> last of the new commits. I guess this rebasing is convenient when
>> using just git, but when the commits to be exported are managed by
>> StGIT, it's really annoying. So add an option to disable this
>> behavior. And document it, too!
>>
>> Signed-off-by: Karl Hasselström <[email-masked]>
>> ---
>>
>> Arguably, the switch should be --rebase instead, and default to not
>> rebase. But that would change the existing behavior, and possibly make
>> dcommit less convenient to use for at least the person who implemented
>> the existing behavior. Opinions?
>
> I don't agree.  The rebase behaviour makes perfect sense in the normal
> case, and I've been using it without problems.  The special case is
> when you start using stgit, so that's when you need to tell dcommit to
> do something out of the ordinary.

I'm happy with git-svn dcommit's current behavior.  Since it is
git-svn and not git-stGIT, I'm not in favor of changing a default to
make a stGIT use case more convenient.

+ seth